### Method

# Gimp Procedure get_icon_file

#### Declaration [src]

    GFile*
    gimp_procedure_get_icon_file (
      GimpProcedure* procedure
    )

#### Description [src]

Gets the file of the icon if one was set for `procedure`.

Available since: | 3.0

#### Return value

Returns: | `GFile`
| The icon `GFile` or `NULL` if no file was set.
| The data is owned by the instance.
| The return value can be `NULL`.